> For the complete documentation index, see [llms.txt](https://docs.nftyverse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nftyverse.com/apis/requests.md).

# Requests

## Get Request Status

<mark style="color:blue;">`GET`</mark> `https://api.nfty.dev/v1/requests/:request_id`

This API call will retrieve the current status of the blockchain transaction from a previous API call. For example, creating a collection, minting an NFT, or initiating a transfer all return a `request_id` that you can use to see when the blockchain transaction is completed. If you prefer, you can also use the Webhook Events instead of polling with this API call.

#### Path Parameters

| Name        | Type   | Description                                                                                                                                                                                                                                                                                                                                   |
| ----------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| request\_id | string | Pass in a `request_id` that was returned from a previous API call. Whenever you get a `request_id` back from an API call, it means the request is being processed by a transaction on the blockchain and will not complete right away. Use this API to determine whether the blockchain transaction is completed or still pending/processing. |

#### Headers

| Name          | Type   | Description               |
| ------------- | ------ | ------------------------- |
| Authorization | string | Your authentication token |

{% tabs %}
{% tab title="200 Possible status values: pending, processing, completed, failed (If this request is related to creating a new NFT token, then the nft\_collection and nft\_token\_id are also returned)" %}

```
{"request_id":"53e5079d941f14db8a24a8e8647e93071fdff93de9e424796010549fd3e573aa",
 "status":"completed",
 "nft_collection":"0x90de09166cd8ae30dc2bfe25be0f5bd486851cd7",
 "nft_token_id":1}
```

{% endtab %}
{% endtabs %}

#### Example Request:

```
curl --request GET \
     --url https://api.nfty.dev/v1/requests/12c81219efed57b38068fc3fe3fcdbb9e4f41041f5d1fe8ea8b830dd3bd19586 \
     --header 'Content-Type: application/json' \
     --header 'Authorization: Bearer c4Vftx4kGiFYqpjM/3p4o5pgkmuthLWUNpXNlrig8EjlnSTeVgde4kEBdI1Uc1RFqWJBBRxkOmZ/QcHQXdQNjQ=='
```

#### Example Response:

```
{"request_id":"12c81219efed57b38068fc3fe3fcdbb9e4f41041f5d1fe8ea8b830dd3bd19586",
 "status":"completed",
 "nft_collection":"0x90de09166cd8ae30dc2bfe25be0f5bd486851cd7",
 "nft_token_id":1}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nftyverse.com/apis/requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
